package com.tencent.qqmusiclocalplayer.service;

import com.tencent.qqmusiclocalplayer.network.listener.OnResultListener;
import com.tencent.qqmusiclocalplayer.network.listener.ISplitCallbackListener;
import com.tencent.qqmusiclocalplayer.network.request.AidlRequest;
import com.tencent.qqmusiclocalplayer.business.session.Session;

interface INetworkService {
    int sendRequest(in AidlRequest request, OnResultListener listener);
    
    Session getSession();
    
    oneway void sendSessionRequest(int callerState);
    
    boolean isSessionReady();
    
    oneway void cancelTask(int taskId);

    void setHostType(int type);

    void setWnsEnable(boolean enable);
}
